summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorJacek Blaszczynski <biosciencenow@outlook.com>2018-04-22 00:18:44 +0200
committerJacek Blaszczynski <biosciencenow@outlook.com>2018-04-22 00:18:44 +0200
commit61cb37ef9771dfc480c66da0375dcfb5e3c787d9 (patch)
treee84210344dfe50a56679ab9f6438706f21ba846c /build-test.sh
parent7483502dfb4f49e4077f5492aa3f0f7a0748b9fc (diff)
downloadcoreclr-61cb37ef9771dfc480c66da0375dcfb5e3c787d9.tar.gz
coreclr-61cb37ef9771dfc480c66da0375dcfb5e3c787d9.tar.bz2
coreclr-61cb37ef9771dfc480c66da0375dcfb5e3c787d9.zip
Fix unix test build by removing unnecessary 'managed_test_build' semafore file
Fixes #17503 The error is caused by both: 1. Unnecessary usage of 'managed_test_build' semaphore file which is incorrectly set after /t:BatchRestorePackages build target and prevents managed test build which is invoked after semaphore alredy exists 2. Masked by the above error is a wrong condition in dirs.proj non-windows test build which was introduced by PR #17161 and which prevented unix build due to missing #17161 group build port to unix
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh19
1 files changed, 5 insertions, 14 deletions
diff --git a/build-test.sh b/build-test.sh
index 7cb4c02fac..3a4b30e589 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -240,22 +240,13 @@ build_Tests()
echo "Starting the Managed Tests Build..."
- __ManagedTestBuiltMarker=${__TestBinDir}/managed_test_build
+ build_Tests_internal "Tests_Managed" "$__ProjectDir/tests/build.proj" "$__up" "Managed tests build (build tests)"
- if [ ! -f $__ManagedTestBuiltMarker ]; then
-
- build_Tests_internal "Tests_Managed" "$__ProjectDir/tests/build.proj" "$__up" "Managed tests build (build tests)"
-
- if [ $? -ne 0 ]; then
- echo "${__MsgPrefix}Error: build failed. Refer to the build log files for details (above)"
- exit 1
- else
- echo "Tests have been built."
- echo "Create marker \"${__ManagedTestBuiltMarker}\""
- touch $__ManagedTestBuiltMarker
- fi
+ if [ $? -ne 0 ]; then
+ echo "${__MsgPrefix}Error: build failed. Refer to the build log files for details (above)"
+ exit 1
else
- echo "Managed Tests had been built before."
+ echo "Managed tests build success!"
fi
if [ $__BuildTestWrappers -ne -0 ]; then